Help! Im having trouble with .66 -1 reply

Please wait...

Guest

I didn't make it!

0 XP

 
#1 13 years ago

Im having serious trouble with fh .66. Whenever I try to join a game, all the games are greyed out (except for like 3) and its saying that i have a different version, how is this possible???? I downloaded the .65-.66 patch twice from different places, I even uninstalled and reinstalled .65 and still it doesnt work. Im getting real frustrated and I could really use some help.




smelly_crap

Dread thinks I'm a special person

50 XP

27th April 2004

0 Uploads

315 Posts

0 Threads

#2 13 years ago

You need version 1.61 of BF1942. I assume you have 1.6?




BAM

I pretend I'm cooler than AzH

50 XP

27th April 2003

0 Uploads

3,415 Posts

0 Threads

#3 13 years ago